Returns a list of prospect analyses that fit the search criteria. The results are paginated.
Security
bearer and appkey
- https://eu-api.delfi.slb.com/sparhttps://eu-api.delfi.slb.com/spar/assessments/v1/prospectanalysis
- Mock serverhttps://developer.slb.com/_mock/solutions/opportunity-assessor/apis/data-search/assessments/v1/prospectanalysis
curl -i -X GET \
'https://eu-api.delfi.slb.com/spar/assessments/v1/prospectanalysis?AnalysisName=string&ProspectName=string&Offset=0&Limit=200' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-contract-id: My-contract-ID'Response
- text/plain
- application/json
- text/json
{
"analyses": [
{
"analysisName": "string",
"analysisId": 0,
"analysisPath": "string",
"prospect": {
"name": "string",
"id": 0,
"parentId": 0
},
"plays": [
{
"name": "string",
"id": 0,
"parentId": 0
}
],
"basins": [
{
"name": "string",
"id": 0,
"parentId": 0
}
],
"createdDate": "2019-08-24T14:15:22Z",
"createdBy": "string",
"createdByRealName": "string",
"lastModifiedDate": "2019-08-24T14:15:22Z",
"lastModifiedBy": "string",
"lastModifiedByRealName": "string",
"status": "Approved",
"isExternal": true
}
],
"pagination": {
"next": "string",
"self": "string"
}
}